insert into disciplinas(codigo, nome, creditos_aula, creditos_trab, periodo_ideal, link) values
('MAC0101', 'Integração na Universidade e na Profissão', 2, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0101'),
('MAC0105', 'Fundamentos de Matemática para a Computação', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0105'),
('MAC0110', 'Introdução à Computação', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0110'),
('MAC0329', 'Álgebra Booleana e Aplicações no Projeto de Arquitetura de Computadores', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0329'),
('MAT0112', 'Vetores e Geometria', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAT0112'),
('MAT2453', 'Cálculo Diferencial e Integral I', 6, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAT2453'),
('MAC0121', 'Algoritmos e Estruturas de Dados I', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0121'),
('MAC0216', 'Técnicas de Programação I', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0216'),
('MAC0239', 'Introdução à Lógica e Verificação de  Programas', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0239'),
('MAE0119', 'Introdução à Probabilidade e à Estatística', 6, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAE0119'),
('MAT0122', 'Álgebra Linear I', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAT0122'),
('MAT2454', 'Cálculo Diferencial e Integral II', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAT2454'),
('MAC0102', 'Caminhos no Bacharelado em Ciência da Computação', 2, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0102'),
('MAC0209', 'Modelagem e Simulação', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0209'),
('MAC0210', 'Laboratório de Métodos Numéricos', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0210'),
('MAC0323', 'Algoritmos e Estruturas de Dados II', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0323'),
('MAT0236', 'Funções Diferenciáveis e Séries', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAT0236'),
('MAC0316', 'Conceitos Fundamentais de Linguagens de Programação', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0316'),
('MAC0338', 'Análise de Algoritmos', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0338'),
('MAC0350', 'Introdução ao Desenvolvimento de Sistemas de Software', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0350'),
('MAC0422', 'Sistemas Operacionais', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0422'),
('FLC0474', 'Língua Portuguesa', 3, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=FLC0474'),
('MAC0499', 'Trabalho de Formatura Supervisionado', 0, 16, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0499'),
('GMG0630', 'Elementos de Mineralogia e Petrologia', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=GMG0630'),
('ACH2023', 'Algoritmos e Estruturas de Dados I', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2023'),
('ACH2033', 'Matrizes, Vetores e Geometria Analítica', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2033'),
('MAC0213', 'Atividade Curricular em Comunidade', 0, 4, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0213'),
('MAC0214', 'Atividade Curricular em Cultura e Extensão', 0, 4, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0214'),
('MAC0215', 'Atividade Curricular em Pesquisa', 0, 4, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0215'),
('CJE0642', 'Design de Interação para Editoração', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=CJE0642'),
('IOF0115', 'Modelagem Numérica em Oceanografia', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=IOF0115'),
('MAC0327', 'Desafios de Programação', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0327'),
('MAC0337', 'Computação Musical', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0337'),
('MAC0453', 'Princípios de Pesquisa Operacional e Logística', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0453'),
('MAE0217', 'Estatística Descritiva', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAE0217'),
('MAE0228', 'Noções de Probabilidade e Processos Estocásticos', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAE0228'),
('MAE0399', 'Análise de Dados e Simulação', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAE0399'),
('MAP2001', 'Matemática, Arquitetura e Design', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAP2001'),
('MAT0206', 'Análise Real', 6, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAT0206'),
('MAT0222', 'Álgebra Linear II', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAT0222'),
('MAT0223', 'Introdução a Teoria dos Números', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAT0223'),
('MAT0264', 'Anéis e Corpos', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAT0264'),
('0323100', 'Introdução à Engenharia Elétrica', 3, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=0323100'),
('0440620', 'Geologia Geral', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=0440620'),
('4302112', 'Física II', 6, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=4302112'),
('4302401', 'Mecânica Estatística', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=4302401'),
('MAC0218', 'Técnicas de Programação 2', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0218'),
('MAC0219', 'Programação Concorrente e Paralela', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0219'),
('MAC0242', 'Laboratório de Programação II', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0242'),
('MAC0300', 'Métodos Numéricos da Álgebra Linear', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0300'),
('MAC0341', 'Introdução a Bioinformática', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0341'),
('MAC0474', 'Teste de Software Baseado em Modelo', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0474'),
('MAE0221', 'Probabilidade I', 6, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAE0221'),
('MAE0224', 'Probabilidade II', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAE0224'),
('MAE0515', 'Introdução à Teoria dos Jogos', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAE0515'),
('MAT0265', 'Grupos', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAT0265'),
('MAT0311', 'Cálculo Diferencial e Integral V', 6, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAT0311'),
('PCS3549', 'Design e Programação de Games', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=PCS3549'),
('QBQ0126', 'Biologia Molecular', 6, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ0126'),
('QBQ0230', 'Bioquímica: Estrutura de Biomoléculas e Metabolismo', 8, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ0230'),
('QBQ0250', 'Bioquímica: Estrutura de Biomoléculas e Metabolismo', 8, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ0250'),
('QBQ1252', 'Bioquímica Metabólica', 4, 1, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ1252'),
('QBQ2457', 'Tecnologia do Dna Recombinante', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ2457'),
('QBQ2503', 'Expressão Gênica', 2, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ2503'),
('QBQ2507', 'Biologia Molecular Computacional', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ2507'),
('QBQ2508', 'Transporte e Sinalização Celular', 2, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ2508'),
('QBQ2509', 'Bioquímica Redox', 2, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ2509'),
('AUH2803', 'Aspectos Conceituais e Estéticos do Design de Interface', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=AUH2803'),
('AUP1301', 'Tópicos de Design para Ambientes Digitais: Informação, Interface, Interação, Ação e Colaboração', 4, 1, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=AUP1301'),
('AUP2409', 'Teoria do Design', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=AUP2409'),
('IOF0255', 'Oceanografia Por Satélites', 3, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=IOF0255'),
('IOF0265', 'Técnicas de Visualização e Distribuição de Dados Oceanográficos', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=IOF0265'),
('MAC0315', 'Otimização Linear', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0315'),
('MAC0320', 'Introdução à Teoria dos Grafos', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0320'),
('MAC0328', 'Algoritmos em Grafos', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0328'),
('MAC0345', 'Desafios de Programação Avançados', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0345'),
('MAC0346', 'Programação para Jogos Digitais', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0346'),
('MAC0351', 'Algoritmos em Bioinformática', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0351'),
('MAC0352', 'Redes de Computadores e Sistemas Distribuídos', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0352'),
('MAC0385', 'Estruturas de Dados Avançadas', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0385'),
('MAC0431', 'Introdução à Computação Paralela e Distribuída', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0431'),
('MAC0444', 'Sistemas Baseados em Conhecimento', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0444'),
('MAC0469', 'Construção de Software como Serviço em Computação em Nuvem', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0469'),
('MAE0311', 'Inferência Estatística', 6, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAE0311'),
('MAE0312', 'Introdução aos Processos Estocásticos', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAE0312'),
('MAE0532', 'Controle Estatístico de Qualidade', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAE0532'),
('MAP2210', 'Aplicações de Álgebra Linear', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAP2210'),
('MAT0225', 'Funções Analíticas', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAT0225'),
('MAT0364', 'Teoria de Galois', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAT0364'),
('PCS2305', 'Laboratório Digital I', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=PCS2305'),
('QBQ0102', 'Bioquímica e Biologia Molecular', 8, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ0102'),
('QBQ0104', 'Bioquímica e Biologia Molecular', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ0104'),
('QBQ0106', 'Bioquímica', 6, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ0106'),
('QBQ0116', 'Bioquímica: Estrutura de Biomoléculas e Metabolismo', 8, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ0116'),
('QBQ0204', 'Bioquímica: Estrutura de Biomoléculas e Metabolismo', 6, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ0204'),
('QBQ0317', 'Biologia Molecular', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ0317'),
('QBQ1354', 'Biologia Molecular', 4, 1, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ1354'),
('QBQ2502', 'Enzimologia', 2, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ2502'),
('QBQ2505', 'Biologia Estrutural', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=QBQ2505'),
('ACH2096', 'Laboratório de Sistemas Operacionais', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2096'),
('ACH2106', 'Projeto Integrado de Sistemas de Informação', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2106'),
('MAC0317', 'Introdução ao Processamento de Sinais Digitais', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0317'),
('MAC0318', 'Introdução à Programação de Robôs Móveis', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0318'),
('MAC0325', 'Otimização Combinatória', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0325'),
('MAC0331', 'Geometria Computacional', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0331'),
('MAC0332', 'Engenharia de Software', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0332'),
('MAC0339', 'Informação, Comunicação e a Sociedade do Conhecimento', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0339'),
('MAC0340', 'Laboratório de Engenharia de Software', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0340'),
('MAC0343', 'Otimização Semidefinida e Aplicações', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0343'),
('MAC0344', 'Arquitetura de Computadores', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0344'),
('MAC0375', 'Biologia de Sistemas', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0375'),
('MAC0412', 'Organização de Computadores', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0412'),
('MAC0414', 'Autômatos, Computabilidade e Complexidade', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0414'),
('MAC0417', 'Visão e Processamento de Imagens', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0417'),
('MAC0420', 'Introdução a Computação Gráfica', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0420'),
('MAC0425', 'Inteligência Artificial', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0425'),
('MAC0426', 'Sistemas de Bancos de Dados', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0426'),
('MAC0441', 'Programação Orientada  a Objetos', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0441'),
('MAC0448', 'Programação para Redes de Computadores', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0448'),
('MAC0450', 'Algoritmos de Aproximação', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0450'),
('MAC0470', 'Desenvolvimento de Software Livre', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0470'),
('MAC0471', 'Desenvolvimento para Web', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0471'),
('MAC0473', 'Otimização Inteira', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0473'),
('MAC0475', 'Laboratório de Sistemas Computacionais Complexos', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0475'),
('MAE0325', 'Séries Temporais', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAE0325'),
('MAE0328', 'Análise de Regressão', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAE0328'),
('MAP0313', 'Cálculo de Diferenças Finitas', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAP0313'),
('MAP2220', 'Fundamentos de Análise Numérica', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAP2220'),
('MAT0234', 'Medida e Integração', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAT0234'),
('MAT0350', 'Introdução aos Fundamentos de Matemática', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAT0350'),
('PCS3345', 'Laboratório Digital B', 4, 1, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=PCS3345'),
('ACH2007', 'Engenharia de Sistemas de Informação II', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2007'),
('ACH2066', 'Tópicos Especiais em Bancos de Dados', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2066'),
('ACH2067', 'Gestão de Processos de Negócio', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2067'),
('ACH2076', 'Segurança da Informação', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2076'),
('ACH2077', 'Soluções Web Baseadas em Software Livre', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2077'),
('ACH2087', 'Construção de Compiladores', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2087'),
('ACH2107', 'Desafios de Programação I', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2107'),
('ACH2117', 'Computação Gráfica', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2117'),
('ACH2127', 'Governança de Tecnologia da Informação', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2127'),
('ACH2137', 'Tópicos em Planejamento em Inteligência Artificial', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2137'),
('MAC0322', 'Introdução à Análise de Sistemas', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0322'),
('MAC0333', 'Armazenamento e Recuperação de Informação', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0333'),
('MAC0336', 'Criptografia para Segurança de Dados', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0336'),
('MAC0413', 'Tópicos Avançados de Programação Orientada a Objetos', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0413'),
('MAC0416', 'Tópicos de Sistemas Distribuídos', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0416'),
('MAC0427', 'Otimização Não Linear', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0427'),
('MAC0430', 'Algoritmos e Complexidade de Computação', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0430'),
('MAC0432', 'Processamento Digital de Imagens: Teoria e Aplicações', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0432'),
('MAC0436', 'Tópicos de Matemática Discreta I', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0436'),
('MAC0438', 'Programação Concorrente', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0438'),
('MAC0439', 'Laboratório de Bancos de Dados', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0439'),
('MAC0446', 'Princípios de Interação Humano-computador', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0446'),
('MAC0451', 'Tópicos Especiais em Desenvolvimento para Web', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0451'),
('MAC0452', 'Tópicos de Otimização Combinatória I', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0452'),
('MAC0456', 'Tópicos Especiais em Engenharia de Software', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0456'),
('MAC0459', 'Ciência e Engenharia de Dados', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0459'),
('MAC0464', 'Sistemas Humano-Computacionais', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0464'),
('MAC0466', 'Teoria dos Jogos Algorítmica', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0466'),
('MAC0467', 'Empreendedorismo Digital', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0467'),
('MAC0468', 'Tópicos em Computação Gráfica', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0468'),
('MAC0472', 'Laboratório de Métodos Ágeis', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0472'),
('MAC0546', 'Fundamentos da Internet das Coisas', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0546'),
('MAC0690', 'Tópicos em Combinatória Contemporânea I', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0690'),
('MAC0691', 'Tópicos na Teoria Algébrica dos Grafos', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0691'),
('MAC0775', 'Métodos Probabilísticos em Combinatória e em Teoria da Computação I (', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0775'),
('MAE0314', 'Análise Estatística', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAE0314'),
('MAE0315', 'Tecnologia da Amostragem', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAE0315'),
('MAE0326', 'Aplicações de Processos Estocásticos', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAE0326'),
('MAP2310', 'Métodos Numéricos em Equações Diferenciais I', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAP2310'),
('MAT0330', 'Teoria dos Conjuntos', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAT0330'),
('MAT0359', 'Lógica', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAT0359'),
('PCS0216', 'Sistemas de Tempo Real', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=PCS0216'),
('PCS3529', 'Criação e Administração de Empresas de Computação', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=PCS3529'),
('ACH2028', 'Qualidade de Software', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2028'),
('ACH2037', 'Métodos Quantitativos Aplicados à Sistemas de Informação', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2037'),
('ACH2038', 'Laboratório de Redes de Computadores', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2038'),
('ACH2048', 'Redes de Alto Desempenho', 4, 1, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2048'),
('ACH2068', 'Avaliação de Desempenho de Sistemas Computacionais', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2068'),
('ACH2078', 'Gestão Empresarial', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2078'),
('ACH2086', 'Fundamentos de Sistemas Hipermídia e Web', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2086'),
('ACH2098', 'Web Semântica', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2098'),
('ACH2108', 'Desafios de Programação II', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2108'),
('ACH2118', 'Introdução ao Processamento de Língua Natural', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACH2118'),
('MAC0319', 'Programação Funcional Contemporânea', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0319'),
('MAC0326', 'Computação, Cibernética e Sistemas Cognitivos.', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0326'),
('MAC0419', 'Métodos de Otimização em Finanças', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0419'),
('MAC0424', 'O Computador na Sociedade e na Empresa', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0424'),
('MAC0434', 'Tópicos de Sistemas de Computação', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0434'),
('MAC0435', 'Métodos Formais para Especificação e Construção de Programas', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0435'),
('MAC0447', 'Análise e Reconhecimento de Formas: Teoria e Prática', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0447'),
('MAC0457', 'Engenharia de Software Empírica', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0457'),
('MAC0458', 'Direito e Software', 2, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0458'),
('MAC0460', 'Introdução ao aprendizado de máquina', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0460'),
('MAC0463', 'Computação Móvel', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0463'),
('MAC0465', 'Biologia Computacional', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0465'),
('MAC0485', 'Implicações Sociais da Computação', 2, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0485'),
('MAC0536', 'Tópicos de Matemática Discreta II', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0536'),
('MAC0552', 'Tópicos de Otimização Combinatória II', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0552'),
('MAC0692', 'Tópicos em Combinatória Contemporânea II', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0692'),
('MAC0776', 'Métodos Probabilísticos em Combinatória e em Teoria da Computação II', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0776'),
('MAE0330', 'Análise Multivariada de Dados', 6, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAE0330'),
('MAP2321', 'Técnicas em Teoria de Controle', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAP2321'),
('MAP2411', 'Matemática Industrial I', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAP2411'),
('PCS0210', 'Redes de Computadores', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=PCS0210'),
('ACA0115', 'Introdução às Ciências Atmosféricas', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACA0115'),
('MAC0335', 'Leitura Dramática', 3, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=MAC0335'),
('ACA0223', 'Climatologia I', 6, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACA0223'),
('AGA0215', 'Fundamentos de Astronomia', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=AGA0215'),
('ACA0522', 'Meteorologia Sinótica I', 3, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACA0522'),
('AGA0106', 'Astronomia de Posição', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=AGA0106'),
('AGA0315', 'Astrofísica de Altas Energias', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=AGA0315'),
('AGG0110', 'Elementos de Geofísica', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=AGG0110'),
('ACA0537', 'Meteorologia Dinâmica I', 5, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACA0537'),
('AGG0222', 'Física do Interior da Terra', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=AGG0222'),
('AGG0330', 'Processamento de Sinais Digitais', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=AGG0330'),
('ACA0324', 'Meteorologia Física I', 6, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACA0324'),
('AGA0309', 'Mecânica Celeste', 4, 0, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=AGA0309'),
('ACA0245', 'Biometeorologia', 4, 2, '1', 'https://uspdigital.usp.br/jupiterweb/obterDisciplina?sgldis=ACA0245');
